﻿using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Collections;
using System.Data;
using System.Globalization;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();           
            this.dataGrid.CopyGridCellContent += DataGrid_CopyGridCellContent;
        }
        private void DataGrid_CopyGridCellContent(object sender, GridCopyPasteCellEventArgs e)
        {
            var formattedValue = dataGrid.View.GetPropertyAccessProvider().GetFormattedValue((e.OriginalSender as SfDataGrid).SelectedItem, "EmployeeID");
            if (e.Column.MappingName == "EmployeeID")
                e.ClipBoardValue = formattedValue;
        }      
    }

    public class ChangedValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var empValues = (value as OrderInfo).EmployeeID;
                       
            if (empValues < 5)
                return 13;
            else if (empValues >= 5 && empValues <= 8)
                return 17;
            else
                return 19;

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return 0;
        }
    }
}
